Subject: Re: libkernel32.a missing TOOLHELP API exports
From: egor duda <[email-masked]>
To: Christopher Faylor <[email-masked]>
Date: Wed, 29 May 2002 10:21:55 +0400

Hi!

Wednesday, 29 May, 2002 Christopher Faylor [email-masked] wrote:

>>I've attempted to build the wine psapi.dll under windows using msys and
>>cygwin and I get this result:
>>
>>psapi_main.o(.text+0x308):psapi_main.c: undefined reference to
>>`Process32First@8'
>>psapi_main.o(.text+0x31f):psapi_main.c: undefined reference to
>>`Process32Next@8'
>>psapi_main.o(.text+0x698):psapi_main.c: undefined reference to
>>`Module32First@8'
>>psapi_main.o(.text+0x6af):psapi_main.c: undefined reference to
>>`Module32Next@8'
>>
>>If no one else wants to do it I can submit a patch. What list do I need
>>to report win32api bugs on?

CF> Either or both of

CF> [email-masked] and [email-masked] .

CF> I'm not sure where these definitions should go, though.  Do they go into
CF> the kernel32.def file or should there be a separate tlhlp32.def file?

Process32First@8 is not present in kernel32.dll on nt4.0 sp5.
I believe this kind of api is very OS-specific. On nt4.0 process
enumeration functions are available from microsoft's psapi.dll
included (among others) in Resource kit.

Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/